#INCLUDE "rwmake.ch"
#INCLUDE "Protheus.ch"

/*


Ŀ
 Programa    HSAPU002   Autor  Fabio Carneiro          Data  12/10/11 
Ĵ
 Descrio   Alterao Campos especificos de uma tabela                   
ٱ


*/

User Function HSAPU007

Public _aCmpBrw  := {"FT_NFISCAL","FT_SERIE","FT_CLIEFOR","FT_LOJA","FT_EMISSAO","FT_ITEM","FT_PRODUTO","FT_VALCONT","FT_TOTAL","FT_BASEIPI",;
							"FT_VALIPI","FT_ALIQIPI","FT_FRETE","FT_DESPESA","FT_BASEPIS","FT_ALIQPIS","FT_VALPIS","FT_BASECOF","FT_ALIQCOF","FT_VALCOF",;
							"FT_BASECSL","FT_ALIQCSL","FT_VALCSL","FT_CSTPIS","FT_CSTCOF","FT_BRETPIS","FT_BRETCOF","FT_BRETCSL","FT_VRETPIS","FT_VRETCOF",;
							"FT_VRETCSL","FT_ARETPIS","FT_ARETCOF","FT_ARETCSL","FT_BASEPIS","FT_ALIQPIS","FT_VALPIS","FT_BASECOF","FT_ALIQCOF","FT_VALCOF"} 
							
// DE ACORDO COM A COMPOSICAO DE VALORES DEVO LAVAR MAIS CAMPOS PARA COMPOR MEU SALDO , QUE EM NOSSO CASO NOSSO CALCULO E IPI + FRETE COMPOEM 
// O VALOR DA BASE DE CALCULO DO PIS E COFINS 


//Campos a serem mostrados no browse e no cadastro

_acampos:={{"Documento","FT_NFISCAL"},;
          {"Serie","FT_SERIE"},{"Dt. Emisso","FT_EMISSAO"},{"Item","FT_ITEM"}}

          
DbSelectArea("SFT")
DbSetOrder(1)     // VERIFICAR QUAL O INDICE IRA COMPOR O PROCESSO 
Private cCadastro := "Itens de Livro Fiscal"

Private aRotina := { { "Pesquisar" ,"AxPesqui", 0 , 1},;
					{ "Visualizar","AxVisual", 0 , 2},;
						{ "Alterar"   ,'U_HSAPU07A()', 0 , 4} }

mBrowse(6,1,22,75,"SFT",_acampos)


DbSelectArea("SFT")

Return


/*


Ŀ
 Programa    HSAPU02A   Autor  Fabio Carneiro          Data  12/10/11 
Ĵ
 Descrio   Alterao tabela SFT                                         
ٱ


*/
User Function HSAPU07A

If DtoS(SFT->FT_EMISSAO) <= DtoS(GetMv("MV_DTCOMIS")) // parametro criado para tratar data de fechamento no sistema E LIVROS caso np use e so comentar
    
    Aviso ("Ateno", "O Lanamento est com o Periodo encerrado, portanto no  possvel alter-lo!", {"Sim"},3,"Operao No Permitida" )

	Return
    
EndIf

// exemplo de campos que podero ser alterados no sistema 


Private _aCmpAlt := {"FT_TOTAL","FT_VALCONT","FT_BASEPIS","FT_ALIQPIS","FT_VALPIS","FT_BASECOF","FT_ALIQCOF","FT_VALCOF"}		// Aqui podem ser acrescido mais campos que me meu caso tive problemas nestes citado					

Private _lRet := AxAltera("SFT",RecNo(),3,_aCmpBrw,_aCmpAlt)   

Return
//FIM
